Bug 314827 - Systemsettings of kolor-manager module crashes systemsettings
Summary: Systemsettings of kolor-manager module crashes systemsettings
Status: RESOLVED FIXED
Alias: None
Product: kolor-manager
Classification: Unclassified
Component: kolor-manager (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Kai-Uwe Behrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 13:42 UTC by Benjamin Schindler
Modified: 2014-01-05 14:15 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Schindler 2013-02-10 13:42:18 UTC
When trying to open the systemsettings module of kolor-manager, systemsettings crashes and I get the following output: 

systemsettings: symbol lookup error: /usr/lib64/elektra/libelektra-resolver.so: undefined symbol: elektraPluginExport

This could be an elektra issue too, but I'm not sure - and systemsettings should not crash... 

Reproducible: Always
Comment 1 Jekyll Wu 2013-02-10 15:47:47 UTC
> /usr/lib64/elektra/libelektra-resolver.so: undefined symbol: elektraPluginExport

Such message is typical example of (downstream) binary compatibility problem.  You could try rebuilding elektra or related packages.
Comment 2 Benjamin Schindler 2013-02-10 16:53:25 UTC
T.b.h. I have a hard time believing this, because of 2 reasons: 

- I just installed kolor-manager, which in turn pulled in elektra as well. So both builds are as fresh as they can be
- I don't know the workings of elektra/kolor-manager, but it seems to me, that we have a sequence of dlopen, dlsym sequence, where dlsym fails to find the appropriate symbol (if it were an unresolved symbol, kolor-manager would not have built). So the question is, why does dlsym fail. This is why I thought its an elektra issue
Comment 3 Kai-Uwe Behrmann 2013-02-10 18:34:06 UTC
@Benjamin  which version of Elektra and Oyranos do you build? Have you some elder builds or binaries laying around?
Comment 4 Benjamin Schindler 2013-02-10 19:04:25 UTC
app-admin/elektra-0.8.3
media-libs/oyranos-0.9.1

I didn't have neither elektra nor oyranos installed before on this system, so I doubt that there are older builds around
Comment 5 Kai-Uwe Behrmann 2013-02-10 19:28:41 UTC
(In reply to comment #4)
> app-admin/elektra-0.8.3
> media-libs/oyranos-0.9.1

They do not work together. elektra-0.8 introduced API changes, which Oyranos is not up to.
As a workaround use an elektra-0.7.x. A version of 0.7.x is included in the Oyranos tarball and should work in newer packages.
Comment 6 Benjamin Schindler 2013-02-10 22:07:48 UTC
Aha, thanks - this is an important hint. 

May be change this bug report to a feature request for oryanos that it should detect that. The gentoo devs were not aware of it. I'll report a bug for gentoo, but the oryanos build system should detect that!
Comment 7 Andreas Sturmlechner 2013-02-10 23:31:13 UTC
The systemsettings crash is actually solved by starting it with: LD_PRELOAD=/usr/lib64/libelektra.so

elektra-0.7.1 still exists in portage tree but that version doesn't get upstream love anymore and needs several downstream modifications to avoid colliding with other packages for silly file naming reasons, so having oyranos compatible with latest elektra versions would be preferable.
Comment 8 Benjamin Schindler 2013-02-11 06:53:14 UTC
(In reply to comment #7)
> The systemsettings crash is actually solved by starting it with:
> LD_PRELOAD=/usr/lib64/libelektra.so
> 
> elektra-0.7.1 still exists in portage tree but that version doesn't get
> upstream love anymore and needs several downstream modifications to avoid
> colliding with other packages for silly file naming reasons, so having
> oyranos compatible with latest elektra versions would be preferable.

While I agree that the best solution is having oyranos be compatible with elektra-0.8, that's up to the oyranos devs. Just putting in LD_PRELOAD to make things load is extremely dangerous - at least I have no idea whether there are more breakages and whether they will be so obvious. 
So please, let the oyranos people handle this.
And apart from that - that's a discussion for bugs.gentoo.org :)
Comment 9 Kai-Uwe Behrmann 2013-02-11 07:27:57 UTC
Supporting elektra-0.8.x is a good aim. A feature request is upstream to prioritise in Oyranos:
https://sourceforge.net/tracker/?func=detail&aid=3604063&group_id=177017&atid=879556
Comment 10 Andreas Sturmlechner 2014-01-05 13:59:11 UTC
Fix confirmed using today's build of oyranos master and elektra-0.8.4 (0.8.3 did segfault).
Comment 11 Kai-Uwe Behrmann 2014-01-05 14:15:01 UTC
@andreas thanks for the confirmation